| Version: 3.2.5

Public Attributes | List of all members
wxRibbonPageTabInfo Class Reference

`#include <wx/ribbon/bar.h>`

## Public Attributes

wxRect | rect
wxRibbonPage * | page
int | ideal_width
int | small_begin_need_separator_width
int | small_must_have_separator_width
int | minimum_width
bool | active
bool | hovered
bool | highlight
bool | shown

## Member Data Documentation

## ◆ active

bool wxRibbonPageTabInfo::active

## ◆ highlight

bool wxRibbonPageTabInfo::highlight

## ◆ hovered

bool wxRibbonPageTabInfo::hovered

## ◆ ideal_width

int wxRibbonPageTabInfo::ideal_width

## ◆ minimum_width

int wxRibbonPageTabInfo::minimum_width

## ◆ page

wxRibbonPage* wxRibbonPageTabInfo::page

## ◆ rect

wxRect wxRibbonPageTabInfo::rect

## ◆ shown

bool wxRibbonPageTabInfo::shown

## ◆ small_begin_need_separator_width

int wxRibbonPageTabInfo::small_begin_need_separator_width

## ◆ small_must_have_separator_width

int wxRibbonPageTabInfo::small_must_have_separator_width